package com.xmomen.module.base.entity.mapper;

import com.xmomen.framework.mybatis.mapper.MybatisMapper;
import com.xmomen.module.base.entity.CdItemDetail;
import com.xmomen.module.base.entity.CdItemDetailExample;
import org.apache.ibatis.annotations.Param;

// 定义一个接口，继承MybatisMapper
public interface CdItemDetailMapper extends MybatisMapper {
    // 根据条件统计记录数
    int countByExample(CdItemDetailExample example);

    // 根据条件删除记录
    int deleteByExample(CdItemDetailExample example);

    // 插入记录
    int insertSelective(CdItemDetail record);

    // 根据条件更新记录
    int updateByExampleSelective(@Param("record") CdItemDetail record, @Param("example") CdItemDetailExample example);
}